https://www.docusign.com/v2.1/accounts/{accountId}/usersRetrieves the list of users for the specified account. The response returns the list of users for the account, with information about the result set. If the `additional_info` query is added to the endpoint and set to **true,** full user information is returned for each user.
(Required) The external account number (int) or account ID GUID.
When **true,** the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is **false.**
When **true,** returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is **false.**
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100`
When **true,** return only users in [domains](https://support.docusign.com/s/document-item?rsc_301=&bundleId=rrf1583359212854&topicId=jub1589318086105.html) claimed by your organization. The default value is **false.**
Filters results based on the email address associated with the user that you want to return. **Note:** You can use either this parameter or the `email_substring` parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.
Filters results based on a fragment of an email address. For example, you could enter `gmail.com` to return all users who have Gmail addresses. **Note:** You do not use a wildcard character with this parameter. You can use either this parameter or the `email` parameter, but not both.
Filters results based on one or more group IDs.
When **true,** the response includes the `userSettings` object data in CSV format.
When **true,** the response includes the login status of each user.
Return user records excluding the specified group IDs.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Filters results by user account status. A comma-separated list of any of the following: * `ActivationRequired` * `ActivationSent` * `Active` * `Closed` * `Disabled`
Filters the user records returned by the user name or a sub-string of user name.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/usersRetrieves the list of users for the specified account. The response returns the list of users for the account, with information about the result set. If the `additional_info` query is added to the endpoint and set to **true,** full user information is returned for each user.
(Required) The external account number (int) or account ID GUID.
When **true,** the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is **false.**
When **true,** returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is **false.**
The maximum number of results to return. Use `start_position` to specify the number of results to skip. Valid values: `1` to `100`
When **true,** return only users in [domains](https://support.docusign.com/s/document-item?rsc_301=&bundleId=rrf1583359212854&topicId=jub1589318086105.html) claimed by your organization. The default value is **false.**
Filters results based on the email address associated with the user that you want to return. **Note:** You can use either this parameter or the `email_substring` parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.
Filters results based on a fragment of an email address. For example, you could enter `gmail.com` to return all users who have Gmail addresses. **Note:** You do not use a wildcard character with this parameter. You can use either this parameter or the `email` parameter, but not both.
Filters results based on one or more group IDs.
When **true,** the response includes the `userSettings` object data in CSV format.
When **true,** the response includes the login status of each user.
Return user records excluding the specified group IDs.
The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.
Filters results by user account status. A comma-separated list of any of the following: * `ActivationRequired` * `ActivationSent` * `Active` * `Closed` * `Disabled`
Filters the user records returned by the user name or a sub-string of user name.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}